MP4(3)

NAME

MP4GetRtpTimestampStart - Get the RTP start time of a hint track

SYNTAX

#include <mp4.h>

MP4Timestamp MP4GetRtpTimestampStart(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

Upon success, the RTP start time in the RTP time scale which is identical to the hint track time scale. Upon an error, MP4_INVALID_TIMESTAMP.

DESCRIPTION

MP4GetRtpTimestampStart returns the RTP timestamp start of the specified hint track. Typically this is a random value that is chosen when the first RTP packet is constructed by the MP4 library. However the value can be set explicitly for the hint track and stored. Typically this is used if it is desired that timestamps start at zero.

An application will need this value in order to construct RTCP Sender Reports that relate the hint track time to an real time clock. The mp4broadcaster test program provided with the MP4 library gives an example of this.

See IETF RFC 1889 for details regarding RTP timestamps and RTCP.

SEE ALSO

MP4(3) MP4SetRtpTimestampStart(3)